Loading...
Searching...
No Matches
vkd3d_shader_scan_denormal_mode_info Struct Reference

A chained structure describing how a shader expects denormal floating-point values to be handled. More...

`#include <vkd3d_shader.h>`

## Data Fields

enum vkd3d_shader_structure_type | type
| Must be set to VKD3D_SHADER_STRUCTURE_TYPE_SCAN_DENORMAL_MODE_INFO.
const void * | next
| Optional pointer to a structure containing further parameters.
enum vkd3d_shader_denormal_mode | f16_denormal_mode
| The denormal mode for f16 (half) numbers.
enum vkd3d_shader_denormal_mode | f32_denormal_mode
| The denormal mode for f32 (float) numbers.
enum vkd3d_shader_denormal_mode | f64_denormal_mode
| The denormal mode for f64 (double) numbers.

## Detailed Description

A chained structure describing how a shader expects denormal floating-point values to be handled.

This structure extends vkd3d_shader_compile_info.

Since
  2.0

The documentation for this struct was generated from the following file:

- include/vkd3d_shader.h